/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/* event control */
void process_mouse_motion(void);
void process_left_up(void);
void process_left_down(void);
void process_middle_up(void);
void process_middle_down(void);
void deselect_children(struct node_struct *child);
void set_operation(void);
void update_object_position(struct node_struct *selected_object,
	Coord offset[3]);
void compute_motion_limit(Coord motion_origin[3], Mesh control);
void find_control_limits(Mesh control, Coord limits[3][2]);
void process_zip(void);
void update_selected_children(struct node_struct *child, Matrix mat);

/* menu control */
void set_defaults(void);
void change_tool(int);
void delete_selected_children(struct node_struct *child);
void delete_object(void);
void select_all(void);
void select_all_root_children(struct node_struct *child);
void group(void);
void ungroup(void);
void sharp_zip(void);
void smooth_zip(void);

