/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
void init_data(void);

struct patch_struct *make_new_patch(void);

struct node_struct *make_new_node(void);

struct node_struct *make_new_patch_node();

struct zip_struct *make_new_zipper(void);

void attach_node_to_parent(
	struct node_struct *parent, 
	struct node_struct *new_node);

struct node_struct *find_last_sibling(struct node_struct *);

void free_object(struct node_struct *object);

void group_selected_children(struct node_struct *parent);

struct node_struct *find_rootmost_parent(struct node_struct *child);


